//_________________________________________________________________________
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
//$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
// NOMBRE: GBADInput.h
// AUTOR: Eloist and Eduardo Pinera Aznarez
// DESCRIPCION: Funciones de entrada de datos para Game Boy Advanced.
//
// FECHA INICIO: 16 de Noviembre de 2000.
// ULTIMA ACTUALIZACION: 16 de Noviembre de 2000.
//$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
//

#ifndef GBADINPUT_HEADER
#define GBADINPUT_HEADER


//_________________________________________________________________________
//*************************************************************************
//*************************************************************************
//
//
//
//					VARIABLES Y FUNCIONES GENERICAS DEL PAD
//
//
//
//*************************************************************************
//*************************************************************************
//



//
//			      VARIABLES
//____________________________________________

#define		KEY_L		0xFDFF
#define		KEY_R		0xFEFF
#define		KEY_A		0xFFFE
#define		KEY_B		0xFFFD
#define		KEY_START	0xFFF7
#define		KEY_SELECT	0xFFFB
#define		KEY_LEFT	0xFFDF
#define		KEY_UP		0xFFBF
#define		KEY_RIGHT	0xFFEF
#define		KEY_DOWN	0xFF7F



//
//		LINEAS DE PROTOTIPO DE FUNCIONES
//____________________________________________
extern void ReadPad(unsigned short *PadState);
extern void WritePad(unsigned short PadKey);
extern void ClearPad(void);


#endif	//GBADINPUT_HEADER