/***************************************************************/
/* file di definizione delle funzioni di gestione degli sprite */
/***************************************************************/

/********************************/
/* Disegna lo sprite su schermo */
/********************************/
#include "sprite.h"

void DrawSprite(Sprite *s){

   int16 r,c;
   int16 x,y=s->y;
   u16 tileID = s->frames.tileID[0];
   OAMSprite *oam=OAM;

   //Riempio l'OAM con le info dello sprite
   for(r=s->frames.v_tiles; r>0; --r){
      x=s->x;
      for(c=s->frames.h_tiles; c>0; --c){
         oam->Attrib0 = 0x2000 + y;//0x2000 says that we have a singole 256 col palette
         oam->Attrib1 = x;
         oam->Attrib2 = tileID;

         //Incremento l'indice della tile
         tileID+=2;

         //Mi sposto orizzontalmente
         x+=8;

         //passo al prossimo elemento da inserire
         ++oam;
      }
      y+=8;
   }
}